Update dependancy Transaction Check Error

Discussion in 'Server Operation' started by willko, Feb 15, 2011.

  1. willko

    willko New Member

    Hi all,

    Can anyone help me with this?

    About a week ago I started to experience a failing update (perl-Digest-SHA-5.50-1.el5.rf.x86_64) due to a dependency transaction check error.
    Here is the error message:

    Code:
    13:30:32 : --> Running transaction check
    13:30:32 : ---> Package perl-Digest-SHA.x86_64 0:5.50-1.el5.rf set to be updated
    13:30:34 : --> Finished Dependency Resolution
    13:30:35 : Downloading Packages:
    13:30:36 : Checking GPG Signatures:
    13:30:36 : Running Transaction Test
    13:30:36 : Finished Transaction Test
    13:30:46 : Transaction Check Error:   file /usr/bin/shasum from install of perl-Digest-SHA-5.50-1.el5.rf.x86_64 conflicts with file from package perl-Digest-SHA-PurePerl-5.48-1.el5.rf.noarch
    file /usr/share/man/man1/shasum.1.gz from install of perl-Digest-SHA-5.50-1.el5.rf.x86_64 conflicts with file from package perl-Digest-SHA-PurePerl-5.48-1.el5.rf.noarch
    Here's a snip from YUM after a clean-all command:
    Code:
    09:35:00 : Cleaning up all yum metadata
    09:36:02 : Enabled repositories : updates,extras,addons,adobe-linux-i386,atrpms,base,centosplus,contrib,freshrpms,kbs-CentOS-Extras,kbs-CentOS-Misc,rpmforge
    09:36:02 : Setup Yum : Transaction Set
    09:36:02 : Checking for new repos for mirrors
    09:36:30 : Reducing ATrpms for Fedora Core 5 - x86_64 to included packages only
    09:36:30 : Finished
    09:36:30 : Excluding Packages from CentOS-5 - Base
    09:36:30 : Finished
    09:36:30 : Reducing CentOS-5 - Plus to included packages only
    09:36:30 : Finished
    09:36:30 : Excluding Packages from CentOS-5 - Updates
    09:36:30 : Finished
    09:36:30 : 0 packages excluded due to repository protections
    09:36:30 : Reading version lock configuration
    09:36:30 : Setup Yum : RPM Db.
    09:36:30 : Setup Yum : Repositories.
    09:36:30 : Checking for new repos for mirrors
    09:36:30 : Setup Yum : Package Sacks
    09:36:30 : Setup Yum : Updates
    09:36:33 : Setup Yum : Groups
    09:36:33 : Checking for new repos for mirrors
    09:36:36 : Setup Yum : Base setup completed
    09:36:36 : Building Package Lists
    09:36:39 : Building Package Lists Completed
    09:36:39 : Building Groups Lists
    09:36:39 : Building Group Lists Completed
    09:36:39 : Getting packages : updates
    09:36:39 : Found 0 updates packages
    09:36:39 : Sorting packages
    System is CentOS 5.5/ISPConfig3 "perfect server" clone

    Many thanks!
     
  2. falko

    falko Super Moderator ISPConfig Developer

    Just a guess, but maybe you should try to uninstall perl-Digest-SHA-PurePerl-5.48-1.el5.rf.noarch first before you try to install perl-Digest-SHA-5.50-1.el5.rf.x86_64.
     
  3. kcardona

    kcardona New Member

    run this command

    yum -y -t -x perl-Digest-SHA upgrade
     

Share This Page